import 'package:flutter/material.dart';

import 'app_colors.dart';

// Box Decorations
BoxDecoration fieldDecoration = BoxDecoration(color: whiteColor);
BoxDecoration disabledFieldDecoration = BoxDecoration(
    borderRadius: BorderRadius.circular(5), color: Colors.grey[100]);

const LinearGradient primaryGradient = LinearGradient(
    colors: [
      primaryGrStartColor,
      primaryGrEndColor,
    ],
    begin: const FractionalOffset(0.0, 0.0),
    end: const FractionalOffset(1.0, 0.0),
    stops: [0.0, 1.0],
    tileMode: TileMode.clamp);

// Field Variables
const double fieldHeight = 55;
const double smallFieldHeight = 40;
const double inputFieldBottomMargin = 30;
const double inputFieldSmallBottomMargin = 0;
const EdgeInsets fieldPadding = const EdgeInsets.symmetric(horizontal: 8.0);
const EdgeInsets largeFieldPadding =
    const EdgeInsets.symmetric(horizontal: 15, vertical: 15);

// Text Variables



const TextStyle dropDownTradeTypeTextStyle =
    TextStyle(color: Colors.black54, fontWeight: FontWeight.bold, fontSize: 24);

// Box Shadow
const BoxShadow buttonShadowBox =
    BoxShadow(blurRadius: 10, color: shadowColor, offset: Offset(0, 4));
const BoxShadow cardShadowBox =
    BoxShadow(blurRadius: 3, color: Color.fromRGBO(0, 0, 0, 0.15), offset: Offset(0, 1));
